---
- hosts: localhost
  become: False

  vars_files:
    - local-vault.yml

  vars_prompt:
    - name: helm_image_tag_staging
      prompt: "Version to deploy for the test environment"
      default: "latest"
      private: no
    - name: helm_image_tag_prod
      prompt: "Version to deploy for the production environment"
      default: "x.y.z"
      private: no

  roles:
    - secrets.book-frontend
    - { role: secrets.book-frontend, secrets_book_frontend_env: docker }
    - { role: secrets.book-frontend, secrets_book_frontend_env: k3s }
    - { role: secrets.book-frontend, secrets_book_frontend_env: staging }
    - { role: secrets.book-frontend, secrets_book_frontend_env: prod }
    - { role: secrets.book-list, secrets_book_list_env: docker, secrets_book_list_folder: "./secrets/book-list" }
    - { role: secrets.book-admin, secrets_book_admin_env: docker, secrets_book_admin_folder: "./secrets/book-admin" }
    - { role: secrets.book-bff, secrets_book_bff_env: docker, secrets_book_bff_folder: "./secrets/book-bff" }
